/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan;

/**
 * Replacement for some functions of AWT's Rectangle.
 * @author matt
 */
public class Rect {
    public int x,y,width,height;
    public Rect(int i, int i0, int i1, int i2) {
        x=i;
        y=i0;
        width=i1;
        height=i2;
    }

    public boolean contains(int x, int y) {
        if (x>=this.x)
            if (y>=this.y)
                if (x<this.x+width)
                    if (y<this.y+height)
                        return true;
        return false;
    }
    private boolean lineintersects(int A,int AL,int B,int BL)
    {
        if (A>=B)
            if (A<B+BL)
                return true;
        if (B>=A)
            if (B<A+AL)
                return true;
        return false;
    }
    public boolean intersects(Rect rect) {
        if (lineintersects(rect.x,rect.width,x,width))
        {
        if (lineintersects(rect.y,rect.height,y,height))
        {
            return true;
        }
        }
        return false;
    }
    
}
