/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.blocks;


import javachan.GameState;
import javachan.IPhysicsObject;
import javachan.Rect;

/**
 *
 * @author matt
 */
public class SpikesBlockType extends BasicBlockType {
    @Override
    protected String GetBlockImage()
    {
        return "Pbm/PrtDmg.pbm";
    }
    //TODO:Ouch! Spikes!
    //Does colliding with this halt Ikachan?
    @Override
    public boolean CollisionStops()
    {
        return false;
    }    
    @Override
    public void HandleSoftCollision(int x,int y,GameState gs,IPhysicsObject ipo)
    {
        if (gs!=ipo)
            return;
        int subtype=gs.map.data[x+(y*gs.map.Width)]%16;
        Rect r=new Rect(x*16,y*16,16,8);
        if (subtype==0)
        {
        r=new Rect(x*16,(y*16)+8,16,8);            
        }
        if (r.intersects(ipo.GetRectangle()))
        gs.IkachanXPEnergy(0, -3);
        
    }
}
